<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 David Frerich (dfrerich@cdfre.de)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace IMIA\BaseExt\Xclass\Extbase\Persistence\Generic\Storage;

use TYPO3\CMS\Extbase\Persistence\QueryInterface;

/**
 * @package     imia_base_ext
 * @subpackage  Xclass
 * @author      David Frerich <d.frerich@imia.de>
 */
class Typo3DbQueryParser extends \TYPO3\CMS\Extbase\Persistence\Generic\Storage\Typo3DbQueryParser
{
	/**
	 * @inheritdoc
	 */
	public function parseQuery(QueryInterface $query)
    {
        $sql = parent::parseQuery($query);

        $onlyFields = $query->getQuerySettings()->getOnlyFields();
        if ($onlyFields && is_array($onlyFields) && count($onlyFields) > 0) {
            $source = $query->getSource();
            $className = $source->getNodeTypeName();
            $tableName = $this->dataMapper->getDataMap($className)->getTableName();

            $sql['fields'][$tableName] = $tableName . '.' . implode(',' . $tableName . '.', $query->getQuerySettings()->getOnlyFields());
        }

		return $sql;
	}
}
