<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('imia_base_ext');

return array(
	'IMIA\BaseExt\Hook\CheckTheDatabase' => $extPath . 'Classes/Hook/CheckTheDatabase.php',
	'IMIA\BaseExt\Hook\DataHandler' => $extPath . 'Classes/Hook/DataHandler.php',
	'IMIA\BaseExt\Hook\ClearCacheActions' => $extPath . 'Classes/Hook/ClearCacheActions.php',
    'IMIA\BaseExt\Hook\TableConfigurationPostProcessing' => $extPath . 'Classes/Hook/TableConfigurationPostProcessing.php',
	'IMIA\BaseExt\Controller\ActionController' => $extPath . 'Classes/Controller/ActionController.php',
	'IMIA\BaseExt\Controller\CommandController' => $extPath . 'Classes/Controller/CommandController.php',
	'IMIA\BaseExt\Domain\Model\AbstractEntity' => $extPath . 'Classes/Domain/Model/AbstractEntity.php',
	'IMIA\BaseExt\Domain\Model\AbstractSimpleEntity' => $extPath . 'Classes/Domain/Model/AbstractSimpleEntity.php',
	'IMIA\BaseExt\Domain\Model\AbstractVersionableEntity' => $extPath . 'Classes/Domain/Model/AbstractVersionableEntity.php',
	'IMIA\BaseExt\Domain\Model\Address' => $extPath . 'Classes/Domain/Model/Address.php',
	'IMIA\BaseExt\Domain\Model\FrontendUser' => $extPath . 'Classes/Domain/Model/FrontendUser.php',
	'IMIA\BaseExt\Domain\Model\FrontendUserGroup' => $extPath . 'Classes/Domain/Model/FrontendUserGroup.php',
	'IMIA\BaseExt\Domain\Model\BackendUser' => $extPath . 'Classes/Domain/Model/BackendUser.php',
	'IMIA\BaseExt\Domain\Model\BackendUserGroup' => $extPath . 'Classes/Domain/Model/BackendUserGroup.php',
	'IMIA\BaseExt\Domain\Model\Category' => $extPath . 'Classes/Domain/Model/Category.php',
	'IMIA\BaseExt\Domain\Model\Page' => $extPath . 'Classes/Domain/Model/Page.php',
	'IMIA\BaseExt\Domain\Model\PageLanguageOverlay' => $extPath . 'Classes/Domain/Model/PageLanguageOverlay.php',
	'IMIA\BaseExt\Domain\Model\File' => $extPath . 'Classes/Domain/Model/File.php',
	'IMIA\BaseExt\Domain\Model\FileReference' => $extPath . 'Classes/Domain/Model/FileReference.php',
	'IMIA\BaseExt\Domain\Model\FileMount' => $extPath . 'Classes/Domain/Model/FileMount.php',
	'IMIA\BaseExt\Domain\Model\Country' => $extPath . 'Classes/Domain/Model/Country.php',
	'IMIA\BaseExt\Domain\Model\StaticLanguage' => $extPath . 'Classes/Domain/Model/StaticLanguage.php',
	'IMIA\BaseExt\Domain\Model\Content' => $extPath . 'Classes/Domain/Model/Content.php',
	'IMIA\BaseExt\Domain\Model\Language' => $extPath . 'Classes/Domain/Model/Language.php',
	'IMIA\BaseExt\Domain\Model\Powermail\Mail' => $extPath . 'Classes/Domain/Model/Powermail/Mail.php',
	'IMIA\BaseExt\Domain\Repository\Repository' => $extPath . 'Classes/Domain/Repository/Repository.php',
	'IMIA\BaseExt\Domain\Repository\NoStorageRepository' => $extPath . 'Classes/Domain/Repository/NoStorageRepository.php',
	'IMIA\BaseExt\Property\PropertyMapper' => $extPath . 'Classes/Property/PropertyMapper.php',
	'IMIA\BaseExt\Property\TypeConverter\ArrayConverter' => $extPath . 'Classes/Property/TypeConverter/ArrayConverter.php',
	'IMIA\BaseExt\Property\TypeConverter\PersistentObjectConverter' => $extPath . 'Classes/Property/TypeConverter/PersistentObjectConverter.php',
	'IMIA\BaseExt\Metadata\Driver\AnnotationDriver' => $extPath . 'Classes/Metadata/Driver/AnnotationDriver.php',
	'IMIA\BaseExt\Metadata\ClassMetadata' => $extPath . 'Classes/Metadata/ClassMetadata.php',
	'IMIA\BaseExt\Metadata\MethodMetadata' => $extPath . 'Classes/Metadata/MethodMetadata.php',
	'IMIA\BaseExt\Metadata\PropertyMetadata' => $extPath . 'Classes/Metadata/PropertyMetadata.php',
	'IMIA\BaseExt\Utility\AjaxDispatcher' => $extPath . 'Classes/Utility/AjaxDispatcher.php',
	'IMIA\BaseExt\Utility\Cache' => $extPath . 'Classes/Utility/Cache.php',
	'IMIA\BaseExt\Utility\ExtensionUtility' => $extPath . 'Classes/Utility/ExtensionUtility.php',
	'IMIA\BaseExt\Utility\File' => $extPath . 'Classes/Utility/File.php',
	'IMIA\BaseExt\Utility\DynamicConfiguration' => $extPath . 'Classes/Utility/DynamicConfiguration.php',
	'IMIA\BaseExt\Utility\DynamicConfiguration\SQL' => $extPath . 'Classes/Utility/DynamicConfiguration/SQL.php',
	'IMIA\BaseExt\Utility\DynamicConfiguration\TCA' => $extPath . 'Classes/Utility/DynamicConfiguration/TCA.php',
	'IMIA\BaseExt\Utility\DynamicConfiguration\TypoScript' => $extPath . 'Classes/Utility/DynamicConfiguration/TypoScript.php',
	'IMIA\BaseExt\Utility\Helper' => $extPath . 'Classes/Utility/Helper.php',
	'IMIA\BaseExt\Utility\BackendTypoScript' => $extPath . 'Classes/Utility/BackendTypoScript.php',
	'IMIA\BaseExt\Utility\Flexform' => $extPath . 'Classes/Utility/Flexform.php',
	'IMIA\BaseExt\Utility\Session\Storage\AbstractSessionStorage' => $extPath . 'Classes/Utility/Session/Storage/AbstractSessionStorage.php',
	'IMIA\BaseExt\Utility\Session\Storage\BeSessionStorage' => $extPath . 'Classes/Utility/Session/Storage/BeSessionStorage.php',
	'IMIA\BaseExt\Utility\Session\Storage\FeSessionStorage' => $extPath . 'Classes/Utility/Session/Storage/FeSessionStorage.php',
	'IMIA\BaseExt\Utility\Session\Storage\SessionStorage' => $extPath . 'Classes/Utility/Session/Storage/SessionStorage.php',
	'IMIA\BaseExt\Utility\Session\Storage\StorageInterface' => $extPath . 'Classes/Utility/Session/Storage/StorageInterface.php',
	'IMIA\BaseExt\Components\AbstractTree' => $extPath . 'Classes/Components/AbstractTree.php',
	'IMIA\BaseExt\Xclass\Backend\Form\FormEngine' => $extPath . 'Classes/Xclass/Backend/Form/FormEngine.php',
	'IMIA\BaseExt\Xclass\Backend\Form\ElementConditionMatcher' => $extPath . 'Classes/Xclass/Backend/Form/ElementConditionMatcher.php',
    'IMIA\BaseExt\Xclass\Backend\Form\Element\InlineElement' => $extPath . 'Classes/Xclass/Backend/Form/Element/InlineElement.php',
    'IMIA\BaseExt\Xclass\Core\Page\PageRenderer' => $extPath . 'Classes/Xclass/Core/Page/PageRenderer.php',
    'IMIA\BaseExt\Xclass\Core\Localization\Parser\LocallangXmlParser' => $extPath . 'Classes/Xclass/Core/Localization/Parser/LocallangXmlParser.php',
    'IMIA\BaseExt\Xclass\Core\Localization\Parser\XliffParser' => $extPath . 'Classes/Xclass/Core/Localization/Parser/XliffParser.php',
    'IMIA\BaseExt\Xclass\Base\Xclass\Core\Page\PageRenderer' => $extPath . 'Classes/Xclass/Base/Xclass/Core/Page/PageRenderer.php',
    'IMIA\BaseExt\Xclass\Install\Service\SqlExpectedSchemaService' => $extPath . 'Classes/Xclass/Install/Service/SqlExpectedSchemaService.php',
    'IMIA\BaseExt\Xclass\Extbase\Persistence\Generic\Backend' => $extPath . 'Classes/Xclass/Extbase/Persistence/Generic/Backend.php',
    'IMIA\BaseExt\Xclass\Extbase\Persistence\Generic\Typo3QuerySettings' => $extPath . 'Classes/Xclass/Extbase/Persistence/Generic/Typo3QuerySettings.php',
    'IMIA\BaseExt\Xclass\Extbase\Persistence\Generic\Storage\Typo3DbQueryParser' => $extPath . 'Classes/Xclass/Extbase/Persistence/Generic/Storage/Typo3DbQueryParser.php',
    'IMIA\BaseExt\Xclass\Extbase\Persistence\Generic\Storage\Typo3DbBackend' => $extPath . 'Classes/Xclass/Extbase/Persistence/Generic/Storage/Typo3DbBackend.php',
    'IMIA\BaseExt\Xclass\Extensionmanager\Utility\ConfigurationUtility' => $extPath . 'Classes/Xclass/Extensionmanager/Utility/ConfigurationUtility.php',
);